0

I am trying to install anaconda. In my computer. I already had anaconda, but I uninstalled that, now again I am reinstalling it, but I am facing a weird error. that:

subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 1.
[15057] Failed to execute script entry_point

I am also not able to create a virtual python environment

here is my full error

PREFIX=/home/haseef/anaconda3
Unpacking payload ...
Collecting package metadata (current_repodata.json): failed                     
WARNING conda.exceptions:print_unexpected_error_report(1213): KeyError('pkgs_dirs')
Traceback (most recent call last):
  File "site-packages/conda/exceptions.py", line 1079, in __call__
  File "site-packages/conda/cli/main.py", line 84, in _main
  File "site-packages/conda/cli/conda_argparse.py", line 83, in do_call
  File "site-packages/conda/cli/main_install.py", line 20, in execute
  File "site-packages/conda/cli/install.py", line 261, in install
  File "site-packages/conda/core/solve.py", line 114, in solve_for_transaction
  File "site-packages/conda/core/solve.py", line 157, in solve_for_diff
  File "site-packages/conda/core/solve.py", line 262, in solve_final_state
  File "site-packages/conda/common/io.py", line 88, in decorated
  File "site-packages/conda/core/solve.py", line 397, in _collect_all_metadata
  File "site-packages/conda/core/index.py", line 163, in _supplement_index_with_system
  File "site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
  File "site-packages/conda/base/context.py", line 786, in os_distribution_name_version
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "/tmp/build/80754af9/conda-standalone_1603137678915/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/python3.8/site-packages/PyInstaller/loader/pyimod03_importers.py", line 623, in exec_module
  File "site-packages/conda/_vendor/distro.py", line 1084, in <module>
  File "site-packages/conda/_vendor/distro.py", line 599, in __init__
  File "site-packages/conda/_vendor/distro.py", line 943, in _get_lsb_release_info
subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "site-packages/conda/exceptions.py", line 1211, in print_unexpected_error_report
  File "site-packages/conda/cli/main_info.py", line 238, in get_main_info_str
KeyError: 'pkgs_dirs'

# >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

    Traceback (most recent call last):
      File "site-packages/conda/exceptions.py", line 1079, in __call__
      File "site-packages/conda/cli/main.py", line 84, in _main
      File "site-packages/conda/cli/conda_argparse.py", line 83, in do_call
      File "site-packages/conda/cli/main_install.py", line 20, in execute
      File "site-packages/conda/cli/install.py", line 261, in install
      File "site-packages/conda/core/solve.py", line 114, in solve_for_transaction
      File "site-packages/conda/core/solve.py", line 157, in solve_for_diff
      File "site-packages/conda/core/solve.py", line 262, in solve_final_state
      File "site-packages/conda/common/io.py", line 88, in decorated
      File "site-packages/conda/core/solve.py", line 397, in _collect_all_metadata
      File "site-packages/conda/core/index.py", line 163, in _supplement_index_with_system
      File "site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
      File "site-packages/conda/base/context.py", line 786, in os_distribution_name_version
      File "<frozen importlib._bootstrap>", line 991, in _find_and_load
      File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
      File "/tmp/build/80754af9/conda-standalone_1603137678915/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/python3.8/site-packages/PyInstaller/loader/pyimod03_importers.py", line 623, in exec_module
      File "site-packages/conda/_vendor/distro.py", line 1084, in <module>
      File "site-packages/conda/_vendor/distro.py", line 599, in __init__
      File "site-packages/conda/_vendor/distro.py", line 943, in _get_lsb_release_info
    subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 1.

`$ /home/haseef/anaconda3/conda.exe install --offline --file /home/haseef/anaconda3/pkgs/env.txt -yp /home/haseef/anaconda3`

  environment variables:
conda info could not be constructed.
KeyError('pkgs_dirs')

An unexpected error has occurred. Conda has prepared the above report.

Traceback (most recent call last):
  File "site-packages/conda/exceptions.py", line 1079, in __call__
  File "site-packages/conda/cli/main.py", line 84, in _main
  File "site-packages/conda/cli/conda_argparse.py", line 83, in do_call
  File "site-packages/conda/cli/main_install.py", line 20, in execute
  File "site-packages/conda/cli/install.py", line 261, in install
  File "site-packages/conda/core/solve.py", line 114, in solve_for_transaction
  File "site-packages/conda/core/solve.py", line 157, in solve_for_diff
  File "site-packages/conda/core/solve.py", line 262, in solve_final_state
  File "site-packages/conda/common/io.py", line 88, in decorated
  File "site-packages/conda/core/solve.py", line 397, in _collect_all_metadata
  File "site-packages/conda/core/index.py", line 163, in _supplement_index_with_system
  File "site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
  File "site-packages/conda/base/context.py", line 786, in os_distribution_name_version
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "/tmp/build/80754af9/conda-standalone_1603137678915/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/python3.8/site-packages/PyInstaller/loader/pyimod03_importers.py", line 623, in exec_module
  File "site-packages/conda/_vendor/distro.py", line 1084, in <module>
  File "site-packages/conda/_vendor/distro.py", line 599, in __init__
  File "site-packages/conda/_vendor/distro.py", line 943, in _get_lsb_release_info
subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "entry_point.py", line 91, in <module>
  File "site-packages/conda/cli/main.py", line 152, in main
  File "site-packages/conda/exceptions.py", line 1371, in conda_exception_handler
  File "site-packages/conda/exceptions.py", line 1082, in __call__
  File "site-packages/conda/exceptions.py", line 1126, in handle_exception
  File "site-packages/conda/exceptions.py", line 1141, in handle_unexpected_exception
  File "site-packages/conda/exceptions.py", line 1303, in _execute_upload
  File "site-packages/conda/exceptions.py", line 1101, in user_agent
  File "site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
  File "site-packages/conda/base/context.py", line 744, in user_agent
  File "site-packages/conda/_vendor/auxlib/decorators.py", line 268, in new_fget
  File "site-packages/conda/base/context.py", line 786, in os_distribution_name_version
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 975, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 671, in _load_unlocked
  File "/tmp/build/80754af9/conda-standalone_1603137678915/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/python3.8/site-packages/PyInstaller/loader/pyimod03_importers.py", line 623, in exec_module
  File "site-packages/conda/_vendor/distro.py", line 1084, in <module>
  File "site-packages/conda/_vendor/distro.py", line 599, in __init__
  File "site-packages/conda/_vendor/distro.py", line 943, in _get_lsb_release_info
subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 1.
[15057] Failed to execute script entry_point

Any help is appreciated.

Thank you

0

I got Answer :

lsb_release file was missing

so i installed it .

sudo apt install lsb_release this is it .

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.